#!/bin/bash
set -e
export ARCH=x86_64
export MUSL_PREFIX=$HOME/.musl-cross/${ARCH}-linux-musl-cross
export SYSROOT=$MUSL_PREFIX/${ARCH}-linux-musl/sysroot
export CC=$MUSL_PREFIX/bin/${ARCH}-linux-musl-gcc
export AR=$MUSL_PREFIX/bin/${ARCH}-linux-musl-ar
export RANLIB=$MUSL_PREFIX/bin/${ARCH}-linux-musl-ranlib

OPENSSL_VERSION=1.1.1w

wget https://www.openssl.org/source/openssl-${OPENSSL_VERSION}.tar.gz
tar xf openssl-${OPENSSL_VERSION}.tar.gz
cd openssl-${OPENSSL_VERSION}

CC=$CC AR=$AR RANLIB=$RANLIB ./Configure linux-x86_64 no-shared --prefix="$SYSROOT"
make -j"$(nproc)"
make install_sw